#include "LineData.h"

#include <algorithm>

LineData::LineData( char * line, ssize_t length )
:m_line( line )
,m_uri( 0 )
,m_client( line )
,m_ref( 0 )
{
    char * split[11];
    char * start = m_line;
    char * end = m_line + length;
    for ( int i = 0; i < 11; ++i ) {
        char * tmp = std::find( start, end, ' ' );
        *tmp = '\0';
        split[i] = start;
        start = tmp + 1;
    }

    if ( strcmp( split[5], "\"GET" ) == 0 ) {
        m_uri = split[6];
        m_ref = split[10] + 1;
        *( start - 2 ) = '\0';
        m_bytes = strtoul( split[9], 0, 10 );
        m_status = strtoul( split[8], 0, 10 );
    }
}
