#include <iostream>
#include <stdlib.h>

#include "Distributor.h"

void usage()
{
    std::cerr << "./wf inputfile [number of threads]" << std::endl;
    exit( -1 );
}

int main( int argc, char * argv[] )
{
    if ( argc == 1 ) {
        usage();
    }

    int numOfThreads = 1;
    if ( argc >= 3 ) {
        int threads = strtol( argv[2], 0, 10 );
        if ( threads > numOfThreads ) {
            numOfThreads = threads;
        }
    }

    int factor = 2;
    if ( argc >= 4 ) {
        factor = strtol( argv[3], 0, 10 );
    }

    Distributor d( argv[1], numOfThreads, factor );
    d.process();
    // does not work with a return
    exit( 0 );
}
