#ifndef RESULT_H
#define RESULT_H

#include <map>
#include <ext/malloc_allocator.h>
#include <string>

#include "Globals.h"
#define __USE_MALLOC 1

class Result
{
public:
    Result( Type type );

    void report() const;
    void merge( Result * other );

    std::map<std::string, int64_t> data;
    //std::map<std::basic_string<char, std::malloc_alloc>, int64_t > data;
    Type type;
    int count;
};

#endif /* RESULT_H */
