#ifndef WFCOUNTER_H
#define WFCOUNTER_H

#include <sys/types.h>
#include <regex.h>
#include "Globals.h"

class Distributor;
class Result;

class WFCounter
{
public:
    WFCounter( Distributor * distributor );

    void run();

private:
    void process( char * line, ssize_t length );

    Distributor * m_distributor;
    Result * m_result[Last];
    regex_t m_exp;
    regex_t m_expRef;
};

#endif // WFCOUNTER_H
